Subject: Re: bug#35856: Unable to boot on iMac, likely because of UUIDs

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 22 May 2019 16:09:09 +0200

On Wed, May 22, 2019 at 11:10:00AM +0000, Francisco Gómez wrote:
> When I have inserted a device recorded with a GuixSD image in my Late 2009
> iMac (EFI, not UEFI) during boot, the computer gets stuck in a loop and
> doesn't respond. I believe this is due to a lack of, or duplication, of
> UUIDs (not to be confused with PARTUUIDs) on some partitions, as manually
> assigning them allows my computer to properly detect the attached devices
> and boot from the GuixSD one (although not successfully).
> 
> > udisksctl loop-setup -rf guix-system-install-1.0.1.x86_64-linux.iso
> Mapped file guix-system-install-1.0.1.x86_64-linux.iso as /dev/loop0.
> 
> > sudo blkid -o list | grep ^/dev/loop0 | cut -d" " -f1 | sort
> /dev/loop0
> /dev/loop0p1
> /dev/loop0p2
> /dev/loop0p3
> /dev/loop0p4
> 
> > sudo blkid -s UUID | grep ^/dev/loop0
> /dev/loop0: UUID="1970-01-01-19-49-46-83"
> /dev/loop0p2: UUID="C920-B8AE"
> 
> 
> 
> 
> 
> 

I believe this is <https://issues.guix.info/issue/35428>.
Unfortunately Danny pushed his patch after the 1.0.1 release got
branched off.

Can you try an ISO built from current Guix git master?

Regards,
Florian